#declare the docker image to test our project
image: tetraweb/php:7.1

#before we need to initialize docker
before_script:
- chmod +x ci/docker_install.sh
- bash ci/docker_install.sh

#An artifact is a file or a directory 
#that will be zipped at the end of CI "build". 
#So if PHPStan returns errors, you can have 
#a quick look at those easily.

#our test script
test:
  script:
  - vendor/bin/phpunit #unit tests with phpunit
  - composer phpstan | tee phpstan_results.txt #code analysis with phpstan
  artifacts: #to easily show the result --> stored in a txt file
    when: always
    expire_in: 1 month
    paths:
    - phpstan_results.txt